Skip to main content
`Ctrl`+`K`

# VecRestoreLocalVectorRead

Unmaps the local portion of a vector previously mapped into a vector using `VecGetLocalVectorRead()`.

## Synopsis

    #include "petscvec.h"
    PetscErrorCode VecRestoreLocalVectorRead(Vec v, Vec w)

Not Collective.

## Input Parameters

- v - The local portion of this vector was previously mapped into `w` using `VecGetLocalVectorRead()`.

- w - The vector into which the local portion of `v` was mapped.

## See Also

Vectors and Parallel Data, `Vec`, `VecCreateLocalVector()`, `VecGetLocalVectorRead()`, `VecGetLocalVector()`, `VecGetArrayRead()`, `VecGetArray()`

## Level

beginner

## Location

src/vec/vec/interface/rvector.c

## Implementations

VecRestoreLocalVectorRead_Nest() in src/vec/vec/impls/nest/vecnest.c

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages